## ros-rolling-ros2topic 0.17.1

=== debian/changelog ===
ros-rolling-ros2topic (0.17.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2topic (0.17.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2topic (0.16.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2topic (0.16.0-1focal) focal; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Add QoS history and depth information if available. (#678 <https://github.com/ros2/ros2cli/issues/678>)
  * Cleanup mislabeled BSD license (#447 <https://github.com/ros2/ros2cli/issues/447>)
  * Contributors: Shane Loretz, Tomoya Fujita, Tully Foote

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2topic (0.15.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Update lost messages test case (#669 <https://github.com/ros2/ros2cli/issues/669>)
  * Implementation of message filtering for ros2 (#654 <https://github.com/ros2/ros2cli/issues/654>)
  * Change default QoSProfile for pub (#653 <https://github.com/ros2/ros2cli/issues/653>)
  * Add option in ros2 topic pub to wait for N matching subscriptions, use N=1 by default when combined with --times (#642 <https://github.com/ros2/ros2cli/issues/642>)
  * ros2 topic pub starts publishing right away. (#626 <https://github.com/ros2/ros2cli/issues/626>)
  * Fix Topic Info Test with "Infinite" printing (#616 <https://github.com/ros2/ros2cli/issues/616>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * QoS autodetection (#613 <https://github.com/ros2/ros2cli/issues/613>)
  * Make Lost Messages option ON by default (#633 <https://github.com/ros2/ros2cli/issues/633>)
  * Contributors: Aditya Pande, Audrow Nash, Emerson Knapp, Gonzo, Ivan Santiago Paunovic, Jorge Perez, Tomoya Fujita, matthews-jca

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2topic (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2topic (0.13.0-1focal) focal; urgency=high

  * Add verbose info for topic list. (#351 <https://github.com/ros2/ros2cli/issues/351>)
  * Contributors: ChenYing Kuo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2topic (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2topic (0.11.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2topic (0.10.1-1focal) focal; urgency=high

  * Add filter option to ros2topic . (#575 <https://github.com/ros2/ros2cli/issues/575>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2topic (0.10.0-1focal) focal; urgency=high

  * Update deprecated qos policy value names. (#571 <https://github.com/ros2/ros2cli/issues/571>)
  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Fix the test to use the topic name. (#566 <https://github.com/ros2/ros2cli/issues/566>)
  * Improve the error message for invalid message types. (#558 <https://github.com/ros2/ros2cli/issues/558>)
  * Use reliable QoS for ros2topic tests. (#555 <https://github.com/ros2/ros2cli/issues/555>)
  * Add option to echo serialized messages. (#470 <https://github.com/ros2/ros2cli/issues/470>)
  * Enable --no-daemon flag for some cli tools. (#514 <https://github.com/ros2/ros2cli/issues/514>)
  * Use transient_local and longer keep-alive for pub tests. (#546 <https://github.com/ros2/ros2cli/issues/546>)
  * Add --keep-alive option to 'topic pub'. (#544 <https://github.com/ros2/ros2cli/issues/544>)
  * Add option to ros2 topic echo to report lost messages. (#542 <https://github.com/ros2/ros2cli/issues/542>)
  * Support QoS Depth and History via ros2 topic pub/echo. (#528 <https://github.com/ros2/ros2cli/issues/528>)
  * Contributors: Chris Lalancette, Claire Wang, Dereck Wonnacott, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Scott K Logan, tomoya

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2topic (0.9.5-1focal) focal; urgency=high

  * Guard against passing None to rclpy subscriber. (#520 <https://github.com/ros2/ros2cli/issues/520>)
    * Guard against passing None to rclpy subscriber
    Fixes #519 <https://github.com/ros2/ros2cli/issues/519>
    * Add regression test
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2topic (0.9.4-1focal) focal; urgency=high

  * Use consistent quotes in help messages. (#517 <https://github.com/ros2/ros2cli/issues/517>)
    Using single quotes inside double quotes is consistent with the other CLI help messages.
  * Fix typo in ros2 topic delay help. (#510 <https://github.com/ros2/ros2cli/issues/510>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2topic (0.9.3-1focal) focal; urgency=high


