## ros-rolling-ros2topic 0.29.0

=== debian/changelog ===
ros-rolling-ros2topic (0.29.0-1jammy) jammy; urgency=high

  * Load a message/request/goal from standard input (#844 <https://github.com/ros2/ros2cli/issues/844>)
  * Contributors: ymd-stella

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ros2topic (0.28.0-1jammy) jammy; urgency=high

  * Add marshalling functions for rclpy.type_hash.TypeHash (rep2011) (#816 <https://github.com/ros2/ros2cli/issues/816>)
  * Contributors: Hans-Joachim Krauch

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ros2topic (0.27.0-1jammy) jammy; urgency=high

  * [service introspection] ros2 service echo (#745 <https://github.com/ros2/ros2cli/issues/745>)
  * Contributors: Brian

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ros2topic (0.26.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-ros2topic (0.26.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-ros2topic (0.25.0-1jammy) jammy; urgency=high

  * remove deprecated options (#824 <https://github.com/ros2/ros2cli/issues/824>)
  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-ros2topic (0.24.1-1jammy) jammy; urgency=high

  * Expect type hash cli output in test (#822 <https://github.com/ros2/ros2cli/issues/822>)
  * Contributors: Emerson Knapp

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ros2topic (0.24.0-1jammy) jammy; urgency=high

  * Fix the type annotation in pub.py. (#814 <https://github.com/ros2/ros2cli/issues/814>)
  * Switch to using new event_handler instead of qos_event. (#787 <https://github.com/ros2/ros2cli/issues/787>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ros2topic (0.23.0-1jammy) jammy; urgency=high

  * avoid flaky test that subscriber might not receive the message (#810 <https://github.com/ros2/ros2cli/issues/810>)
  * Adds a --max-wait-time option to ros2 topic pub  (#800 <https://github.com/ros2/ros2cli/issues/800>)
  * Contributors: Arjo Chakravarty, Chen Lihui

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Mar 2023 00:00:00 -0000

ros-rolling-ros2topic (0.22.0-1jammy) jammy; urgency=high

  * Fix some flake8 warnings related to style. (#805 <https://github.com/ros2/ros2cli/issues/805>)
  * Adds a timeout feature to rostopic echo (#792 <https://github.com/ros2/ros2cli/issues/792>)
  * Refactor common types (#791 <https://github.com/ros2/ros2cli/issues/791>)
  * Allow configuring liveliness in ros2 topic echo and pub (#788 <https://github.com/ros2/ros2cli/issues/788>)
  * Extend timeout to shutdown the command line process. (#783 <https://github.com/ros2/ros2cli/issues/783>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * a couple of typo fixes. (#774 <https://github.com/ros2/ros2cli/issues/774>)
  * Contributors: Arjo Chakravarty, Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ros2topic (0.21.0-1jammy) jammy; urgency=high

  * Add support use_sim_time for ros2 topic hz/bw/pub. (#754 <https://github.com/ros2/ros2cli/issues/754>)
  * Use set_message_fields from rosidl_runtime_py (#761 <https://github.com/ros2/ros2cli/issues/761>)
  * Contributors: Esteve Fernandez, Lei Liu

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ros2topic (0.20.0-1jammy) jammy; urgency=high

  * Expand auto to the current time when passed to a Header field (#749 <https://github.com/ros2/ros2cli/issues/749>)
  * Add verbose option to echo that also prints the associated message info (#707 <https://github.com/ros2/ros2cli/issues/707>)
  * Contributors: Esteve Fernandez, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ros2topic (0.19.0-1jammy) jammy; urgency=high

  * update docs for bandwidth functions. (#709 <https://github.com/ros2/ros2cli/issues/709>)
  * Split the bandwidth functions into a get and print. (#708 <https://github.com/ros2/ros2cli/issues/708>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ros2topic (0.18.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ros2topic (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-ros2topic (0.18.1-1jammy) jammy; urgency=high

  * Add yaml dump flow style. (#698 <https://github.com/ros2/ros2cli/issues/698>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ros2topic (0.18.0-1jammy) jammy; urgency=high

  * support ros2topic echo once option. (#695 <https://github.com/ros2/ros2cli/issues/695>)
  * Fix special case for fastrtps incompatible QoS. (#694 <https://github.com/ros2/ros2cli/issues/694>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ros2topic (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-ros2topic (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000


